Show / Hide Table of Contents

# Struct AtkImageNode

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkImageNode

### Fields

| Improve this Doc View Source

#### AtkResNode

##### Declaration

    public AtkResNode AtkResNode

##### Field Value

Type | Description
--- | ---
AtkResNode |

| Improve this Doc View Source

#### Flags

##### Declaration

    public byte Flags

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### PartId

##### Declaration

    public ushort PartId

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### PartsList

##### Declaration

    public AtkUldPartsList*PartsList

##### Field Value

Type | Description
--- | ---
AtkUldPartsList* |

| Improve this Doc View Source

#### WrapMode

##### Declaration

    public byte WrapMode

##### Field Value

Type | Description
--- | ---
System.Byte |

### Methods

| Improve this Doc View Source

#### Ctor()

##### Declaration

    [MemberFunction("E9 ? ? ? ? 45 33 C9 4C 8B C0 33 D2 B9 ? ? ? ? E8 ? ? ? ? 48 85 C0 0F 84 ? ? ? ? 48 8B C8 48 83 C4 20 5B E9 ? ? ? ? 45 33 C9 4C 8B C0 33 D2 B9 ? ? ? ? E8 ? ? ? ? 48 85 C0 0F 84 ? ? ? ? 48 8B C8 48 83 C4 20 5B E9 ? ? ? ? 45 33 C9 4C 8B C0 33 D2 B9 ? ? ? ? E8 ? ? ? ? 48 85 C0 0F 84 ? ? ? ? ")]
    public void Ctor()

| Improve this Doc View Source

#### LoadIconTexture(Int32, Int32)

##### Declaration

    [MemberFunction("E8 ? ? ? ? 8D 4D 09")]
    public void LoadIconTexture(int iconId, int version)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | iconId |
System.Int32 | version |

| Improve this Doc View Source

#### LoadTexture(Byte*, UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 48 8B 8D ?? ?? ?? ?? 48 8B 71 08")]
    public void LoadTexture(byte *texturePath, uint version = 1U)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | texturePath |
System.UInt32 | version |

| Improve this Doc View Source

#### LoadTexture(String, UInt32)

##### Declaration

    public void LoadTexture(string texturePath, uint version = 1U)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | texturePath |
System.UInt32 | version |

| Improve this Doc View Source

#### UnloadTexture()

##### Declaration

    [MemberFunction("E8 ? ? ? ? 85 FF 78 1E")]
    public void UnloadTexture()